SuSE 11.3 Security Update : pam (SAT Patch Number 9119)

Medium Nessus Plugin ID 73979


The remote SuSE 11 host is missing one or more security updates.


This update changes the broken default behavior of pam_pwhistory to not enforce checks when the root user requests password changes. In order to enforce pwhistory checks on the root user, the 'enforce_for_root' parameter needs to be set for the module.

This pam update fixes the following security and non-security issues :

- Fixed pam_timestamp path injection problem.
(CVE-2014-2583). (bnc#870433)

- Fixed pam_pwhistory root password enforcement when resetting non-root user's password. (bnc#848417)


Apply SAT patch number 9119.

See Also

Plugin Details

Severity: Medium

ID: 73979

File Name: suse_11_pam-140410.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/05/13

Modified: 2014/05/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:pam, p-cpe:/a:novell:suse_linux:11:pam-32bit, p-cpe:/a:novell:suse_linux:11:pam-doc, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/04/10

Reference Information

CVE: CVE-2014-2583